Last Comment Bug 591550 - test_docload.xul reports "JavaScript error: chrome://navigator/content/tabbrowser.xml, line 919: nsIInterfaceRequestor is not defined"
: test_docload.xul reports "JavaScript error: chrome://navigator/content/tabbro...
Status: VERIFIED FIXED
: fixed-seamonkey2.0.9
Product: SeaMonkey
Classification: Client Software
Component: Tabbed Browser (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b1
Assigned To: Serge Gautherie (:sgautherie)
:
:
Mentors:
Depends on:
Blocks: 457548
  Show dependency treegraph
 
Reported: 2010-08-27 19:30 PDT by Serge Gautherie (:sgautherie)
Modified: 2010-08-29 02:55 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
(Av1) Add missing 'Components.interfaces.' [Checkin: Comment 2 & 5] (1.07 KB, patch)
2010-08-27 19:34 PDT, Serge Gautherie (:sgautherie)
neil: review+
iann_bugzilla: approval‑seamonkey2.0.9+
Details | Diff | Splinter Review

Description Serge Gautherie (:sgautherie) 2010-08-27 19:30:19 PDT
Bug 576931 comment 3:
{
neil@parkwaycc.co.uk      2010-08-27 11:54:14 PDT

This is a bug; it should be Components.interfaces.nsIInterfaceRequestor but I
obviously accidentally omitted the qualifiers when I fixed bug 457548. (It
probably finds a shortcut declaration somewhere in the global scope.)
}
Comment 1 Serge Gautherie (:sgautherie) 2010-08-27 19:34:25 PDT
Created attachment 470126 [details] [diff] [review]
(Av1) Add missing 'Components.interfaces.'
[Checkin: Comment 2 & 5]
Comment 2 Serge Gautherie (:sgautherie) 2010-08-28 20:28:36 PDT
Comment on attachment 470126 [details] [diff] [review]
(Av1) Add missing 'Components.interfaces.'
[Checkin: Comment 2 & 5]

http://hg.mozilla.org/comm-central/rev/668e3b62edc3
Comment 3 Serge Gautherie (:sgautherie) 2010-08-29 00:28:26 PDT
V.Fixed, per
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1283055773.1283058197.12882.gz&fulltext=1
Linux comm-central-trunk debug test mochitest-other on 2010/08/28 21:22:53
Comment 4 Ian Neal 2010-08-29 02:18:40 PDT
Comment on attachment 470126 [details] [diff] [review]
(Av1) Add missing 'Components.interfaces.'
[Checkin: Comment 2 & 5]

Around line 790 on SM2.0.x
Comment 5 Serge Gautherie (:sgautherie) 2010-08-29 02:54:05 PDT
Comment on attachment 470126 [details] [diff] [review]
(Av1) Add missing 'Components.interfaces.'
[Checkin: Comment 2 & 5]

http://hg.mozilla.org/releases/comm-1.9.1/rev/244f7d195a8b

Note You need to log in before you can comment on or make changes to this bug.